using System;
using Server;
using Server.Network;

namespace Server.Items
{
	public class FarmableSquash : FarmableCrop
	{
		public static int GetCropID()
		{
			return 0x020E;
		}

		public override Item GetCropObject()
		{
			Squash squash = new Squash();

			squash.ItemID = 0xc72;

			return squash;
		}

		public override int GetPickedID()
		{
			return 0x0C60;
		}

		[Constructable]
		public FarmableSquash() : base( GetCropID() )
		{
			Name = "squash";
		}

		public FarmableSquash( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}